Public Class Form1

    ' Validate the TextBox's contents.
    Private Sub TextBox1_Validating(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles TextBox1.Validating, TextBox2.Validating, TextBox3.Validating
        ' Validate the control's value.
        ValidateFiveDigits(DirectCast(sender, TextBox), e.Cancel)
    End Sub

    ' Verify that the TextBox contains five digits.
    Private Sub ValidateFiveDigits(ByVal text_box As TextBox, ByRef cancel_event As Boolean)
        ' Cancel if non-zero length and not five digits.
        cancel_event = (text_box.Text.Length <> 0) And _
            Not (text_box.Text Like "#####")

        ' See if we're going to cancel the event.
        If cancel_event Then
            ' Invalid. Set an error.
            ErrorProvider1.SetError(text_box, _
                text_box.Name & " must contain exactly five digits")
        End If
    End Sub

    ' Validation succeeded. Clear any error.
    Private Sub TextBox1_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles TextBox1.Validated, TextBox2.Validated, TextBox3.Validated
        ' Valid. Clear any error.
        ErrorProvider1.SetError(DirectCast(sender, TextBox), "")
    End Sub
End Class
