Public Class dlgSplash
    Private Sub dlgSplash_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        ' Get the smiley bitmap.
        Dim bm As Bitmap = My.Resources.ellipse

        ' Make the bitmap's "background" pixels transparent.
        bm.MakeTransparent(bm.GetPixel(1, 1))

        ' Draw the bitmap onto the form.
        e.Graphics.DrawImage(bm, New PointF(0, 0))
    End Sub

    ' Display as a splash screen.
    Public Sub ShowSplash()
        Me.tmrUnload.Enabled = True ' The Timer close the dialog.
        Me.TopMost = True           ' Keep on top of main form.
        Me.Show()                   ' Show non-modally.
    End Sub

    ' Unload the splash screen.
    Private Sub tmrUnload_Tick(ByVal sender As System.Object, _
     ByVal e As System.EventArgs) Handles tmrUnload.Tick
        Me.Close()
    End Sub

    ' Display as an About dialog.
    Public Sub ShowAbout()
        btnOK.Visible = True        ' The OK button closes the dialog.
        Me.ShowDialog()             ' Show modally.
    End Sub

    ' Close the About dialog.
    Private Sub btnOK_Click(ByVal sender As System.Object, _
     ByVal e As System.EventArgs) Handles btnOK.Click
        Me.Close()
    End Sub
End Class