Imports System.Drawing.Drawing2D

Public Class Form1
    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        Using black_pen As New Pen(Color.Black, 0)
            If True Then
                ' Scale by a factor of 90.
                e.Graphics.ScaleTransform(90, 90, MatrixOrder.Append)

                ' Translate to center on the form.
                e.Graphics.TranslateTransform( _
                    Me.ClientRectangle.Width \ 2, _
                    Me.ClientRectangle.Height \ 2, _
                    MatrixOrder.Append)

                For i As Integer = 5 To 90 Step 5
                    ' Save the state.
                    Dim graphics_state As GraphicsState = e.Graphics.Save()

                    ' Rotate i degrees.
                    e.Graphics.RotateTransform(i, MatrixOrder.Prepend)

                    ' Draw a rectangle.
                    e.Graphics.DrawRectangle(black_pen, -1, -1, 2, 2)

                    ' Restore the saved state.
                    e.Graphics.Restore(graphics_state)
                Next i
            ElseIf False Then
                ' Scale by a factor of 90.
                e.Graphics.ScaleTransform(90, 90, MatrixOrder.Append)

                ' Translate to center on the form.
                e.Graphics.TranslateTransform( _
                    Me.ClientRectangle.Width \ 2, _
                    Me.ClientRectangle.Height \ 2, _
                    MatrixOrder.Append)

                For i As Integer = 5 To 90 Step 5
                    ' Rotate 5 degrees.
                    e.Graphics.RotateTransform(5, MatrixOrder.Prepend)

                    ' Draw a rectangle.
                    e.Graphics.DrawRectangle(black_pen, -1, -1, 2, 2)
                Next i
            Else
                ' Scale by a factor of 90.
                e.Graphics.ScaleTransform(90, 90, MatrixOrder.Append)

                ' Translate to center on the form.
                e.Graphics.TranslateTransform( _
                    Me.ClientRectangle.Width \ 2, _
                    Me.ClientRectangle.Height \ 2, _
                    MatrixOrder.Append)

                ' Save the transformation.
                Dim trans As Matrix = e.Graphics.Transform

                For i As Integer = 5 To 90 Step 5
                    ' Restore the saved transformation.
                    e.Graphics.Transform = trans

                    ' Rotate i degrees.
                    e.Graphics.RotateTransform(i, MatrixOrder.Prepend)

                    ' Draw a rectangle.
                    e.Graphics.DrawRectangle(black_pen, -1, -1, 2, 2)
                Next i
            End If
        End Using
    End Sub
End Class
