Public Class Form1
    ' Draw ellipses in the tabs.
    Private Sub tabProject_DrawItem(ByVal sender As Object, _
     ByVal e As System.Windows.Forms.DrawItemEventArgs) Handles tabProject.DrawItem
        ' Get the drawing bounds.
        Dim rect As Rectangle = e.Bounds
        If (e.State And DrawItemState.Selected) = DrawItemState.Selected Then
            ' Allow extra room for the selected tab.
            rect.X += 4
            rect.Y += 4
            rect.Width -= 8
            rect.Height -= 8
        Else
            rect.X += 2
            rect.Y += 2
            rect.Width -= 4
            rect.Height -= 4
        End If

        ' Fill the ellipse with the right color.
        Select Case e.Index
            Case 0
                e.Graphics.FillEllipse(Brushes.Green, rect)
            Case 1
                e.Graphics.FillEllipse(Brushes.Yellow, rect)
            Case 2
                e.Graphics.FillEllipse(Brushes.Red, rect)
        End Select

        ' Outline the ellipse in black.
        If (e.State And DrawItemState.Selected) = DrawItemState.Selected Then
            ' Use a thick line for the selected tab.
            e.Graphics.DrawEllipse( _
                New Pen(Color.Black, 3), _
                rect)
        Else
            e.Graphics.DrawEllipse(Pens.Black, rect)
        End If
    End Sub
End Class
