Public Class Person
    Private m_FirstName As String
    Public Property FirstName() As String
        Get
            Return m_FirstName
        End Get
        Set(ByVal value As String)
            m_FirstName = value
        End Set
    End Property

    Private m_LastName As String
    Public Property LastName() As String
        Get
            Return m_LastName
        End Get
        Set(ByVal value As String)
            m_LastName = value
        End Set
    End Property

    ' Empty constructor.
    Public Sub New()
        m_FirstName = ""
        m_LastName = ""
    End Sub

    ' Initialization constructor.
    Public Sub New(ByVal first_name As String, ByVal last_name As String)
        m_FirstName = first_name
        m_LastName = last_name
    End Sub
End Class

Public Class Employee
    Inherits Person

End Class

Public Structure WorkAssignment
    Private Event test()

End Structure

Public Class SeatAssignment
    Public Event NameChanged()

    Private m_Name As String
    Public Property Name() As String
        Get
            Return m_Name
        End Get
        Set(ByVal value As String)
            m_Name = value
            RaiseEvent NameChanged()
        End Set
    End Property

End Class