Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        TestShadows()
    End Sub

    Public Class Person
        Public LastName As String
        Public EmployeeId As String
    End Class

    Public Class Employee
        Inherits Person
        Public Shadows EmployeeId As Long
    End Class

    Public Class Manager
        Inherits Employee
        Public Shadows LastName As String
    End Class

    Private Sub TestShadows()
        Dim mgr As New Manager
        mgr.LastName = "Manager Last Name"
        mgr.EmployeeId = 1

        Dim emp As Employee = CType(mgr, Employee)
        emp.LastName = "Employee Last Name"
        emp.EmployeeId = 2

        Dim per As Person = CType(mgr, Person)
        per.LastName = "Person Last Name"
        per.EmployeeId = "A"

        Debug.WriteLine(mgr.EmployeeId & ": " & mgr.LastName)
        Debug.WriteLine(emp.EmployeeId & ": " & emp.LastName)
        Debug.WriteLine(per.EmployeeId & ": " & per.LastName)
    End Sub
End Class
