Public Class Form1

    Private Sub btnGo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGo.Click
        Dim start_time, stop_time As Date
        Dim elapsed As TimeSpan
        Dim num_items As Integer = Integer.Parse(txtNumItems.Text)
        Dim structures() As PersonStructure
        Dim objects() As PersonClass
        lblStructures.Text = ""
        lblObjects.Text = ""
        Me.Refresh()

        ReDim structures(num_items)
        Debug.WriteLine(num_items)

        GC.Collect()
        start_time = Now
        GC.Collect()
        stop_time = Now
        elapsed = stop_time.Subtract(start_time)
        lblStructures.Text = elapsed.TotalSeconds.ToString() & " seconds"
        Erase structures

        ReDim objects(num_items)
        For i As Integer = 0 To num_items - 1
            objects(i) = New PersonClass
        Next i

        GC.Collect()
        start_time = Now
        GC.Collect()
        stop_time = Now
        elapsed = stop_time.Subtract(start_time)
        lblObjects.Text = elapsed.TotalSeconds.ToString() & " seconds"
        Erase objects
    End Sub

    Private Structure PersonStructure
        Public FirstName As String
        Public LastName As String
        Public Street As String
        Public Address As String
        Public City As String
        Public State As String
        Public Zip As String
    End Structure

    Private Class PersonClass
        Public FirstName As String
        Public LastName As String
        Public Street As String
        Public Address As String
        Public City As String
        Public State As String
        Public Zip As String
    End Class
End Class
